<?php
ini_set( 'memory_limit', '1024M' );
ini_set( 'max_execution_time', 5000 );
    
error_reporting(E_ALL);
ini_set('display_errors','1'); //PARA PRODUCCION "Off"
/**
 * Genera cache
 *
 * @package    
 * @subpackage 
 * @author     wtaype
 * @version    SVN: $Id: generateCache.php,v 1.11 2009/04/08 16:44:38 william.taype Exp $ 
 */
$sDirBase = dirname(__FILE__).'/../../';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfConfigHandler.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfFinder.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfToolkit.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfYamlConfigHandler.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfParameterHolder.class.php';
require_once $sDirBase.'plugins/sfAutoloadConfigHandlerPlugin/sfAutoloadConfigHandler.class.php';

$arrayDir = array( 'path' => $sDirBase, 'exclude' => array( "services" ) );

try
{					       
  $o_sfAutoloadConfigHandler = new sfAutoloadConfigHandler();
  $sContent = $o_sfAutoloadConfigHandler->executeGenerateConfigAutoload($arrayDir);
  
  echo $sDirBase."<br>";
  
  $archivo = fopen( $sDirBase."/cache/config_autoload.php", "w" );
  fputs ( $archivo, $sContent );
  fclose( $archivo );
  
  echo "SE CONSTRUYO EL ARCHIVO /cache/config_autoload.php<br>";
  
  echo "<pre>"; print_r( $sContent ); echo "</pre>";
}
catch (Exception $e) 
{
  
  echo "<font color=red>".$e->getMessage()."</font>";
}
